Subject: RE: [Asrg] Its all over for Challenge Response

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Wed, 3 Mar 2004 20:49:02 -0800

> >Sure it looks great in theory, but the cost of deploying all
> >those end user certificates is simply beyond most enterprises.
> 
> It seems to me that your pinning the apparent failure of X.509
> PKI on the end-to-end security concept.

No, SSL and Authenticode are tremendously successful, the best 
security we have on the Internet in fact. It is the email area
where we have failed - until we started to use STARTTLS.
 
> I use PGP Mail whenever I need authentication and encryption.
> I consider it to be successful for my personal use.

I don't consider PGP to be any more successfull, i get far more
S/MIME signed messages than PGP and that is ignoring the S/MIME
bias from PKIX and S/MIMe list membership. The vast majority
of MUAs support S/MIME and have done for years.

The failure has been getting the end users to participate.
it was just too hard.

> >If you look at the problem from a risk assement point of view
> >it is entirely reasonable to secure email internaly by using
> >SSL to secure communication with the email server and then to use
> >SSL to secure the hop over the Internet where the email is
> >most likely to be intercepted.
> 
> There are two problems with this notion.  The first is that
> various intermediate systems have access to the communication
> to read and alter.  

Sure, but that is irrelevant. Almost none of the email on the
internet is encrypted in any form. The vast majority of messages
that are encrypted use STARTTLS.

> The second is that there is no guarantee
> that any pair of intermediate systems actually secure the
> hop between them.  The secure connection established by the
> two systems is appropriate for their own security needs rather
> than for the end-to-end traffic they convey over that connection.

Again, wrong comparison. STARTTLS is a bicycle. It has nowhere 
near the power and capabilities that a tank offers. But it will
get you to your destination far faster than walking.

> >Sure they might be apples and oranges. But if you put apples
> >and oranges together you have a fruit salad.
> 
> I do think STARTLS might have a role to play in antispam if
> there were some scalable way to do the authorization.

The problem is advertising the fact you support STARTTLS in
the DNS.

it is not an authorization problem.

---

From: Yakov Shafranovich <[email-masked]>
Date: Thu, 04 Mar 2004 00:59:43 -0500

[was Re: [Asrg] Its all over for Challenge Response]

> it is not an authorization problem.

The SMTP clients and servers exchange that information during the EHLO 
session of the SMTP transaction. Why do you need to advertise that via DNS?

Leaving all of this aside, how will the use of TLS with SMTP help 
resolve the spam problem?

Yakov

_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg

---

From: Yakov Shafranovich <[email-masked]>
Date: Thu, 04 Mar 2004 02:01:14 -0500

Mark Baugher wrote:

> At 09:59 PM 3/3/2004, Yakov Shafranovich wrote:
> 
> In principle, it could have a role to play by authenticating the MTA 
> sender.
> 

What would you do with that information? Why is IP address insufficient 
(aside from the fact there are dynamic IPs)?

If this is going to be combined with reputation/accreditation systems, 
then we need to answer the questions of why future systems for 
reputation would be any different than today's.

(I am not attacking here, just trying to narrow down the solution)

Yakov

---

From: Mark Baugher <[email-masked]>
Date: Thu, 04 Mar 2004 09:20:01 -0800

Yakov,

At 11:01 PM 3/3/2004, Yakov Shafranovich wrote:
<...>
>>In principle, it could have a role to play by authenticating the MTA sender.
>
>then we need to answer the questions of why future systems for reputation 
>would be any different than today's.
>

I don't have a spam solution but TLS can serve to authenticate one MTA to 
another.  This would be a variation on signed email whereby the smtp 
connection is signed rather than the message.  When the mail transaction is 
direct between the sending domain and the receiving domain without 
intermediaries, then this is functionally similar to signing the message 
(though much less efficient for mailing lists).  It doesn't suffer from the 
replay attack scenario that Markus Stumpf described some time ago.  When 
there is an intermediate MTA, then the receiver would need to make an 
authorization decision based on whether it trusts the intermediary to have 
an effective antispam policy, e.g. that it effectively authenticates its 
senders.

This takes us to the authorization problem and reputation seems to be a 
scalable means to do that, but I have no answer to the problems of antispam 
databases that you have mentioned previously.  (I'm not even sure what all 
the problems are with RBLs).

Mark

---

From: Mark Baugher <[email-masked]>
Date: Wed, 03 Mar 2004 22:56:12 -0800

At 09:59 PM 3/3/2004, Yakov Shafranovich wrote:
>Leaving all of this aside, how will the use of TLS with SMTP help resolve 
>the spam problem?

Mark